#pragma once
#include "graphView.h"

// graphDlg dialog

class graphDlg : public CDialogEx
{
	DECLARE_DYNAMIC(graphDlg)

public:
	graphDlg(CWnd* pParent = nullptr);   // standard constructor
	virtual ~graphDlg();

// Dialog Data
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_GRAPH_DIALOG };
#endif

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
public:
	graphView gView;
	int initDone;
	int m_plotType;

public:
	void setCombo(int id, int val);
	int getCombo(int id);
	void init();
	void readout();
	void initCombo();
	void screenCap();

public:
	afx_msg void OnShowWindow(BOOL bShow, UINT nStatus);
	afx_msg void OnCbnCloseupPlotType();
	afx_msg void OnBnClickedRadioPlotYaw();
	afx_msg void OnBnClickedRadioPlotPitch();
	afx_msg void OnBnClickedRadioPlotRoll();
	afx_msg void OnBnClickedCapGraph2();
	afx_msg void OnBnClickedPause2();
	afx_msg void OnBnClickedCheckAutoCap();
};
